## prelude-ident

prelude-ident

## Functions

uint64_t | prelude_ident_inc ()
int | prelude_ident_generate ()
void | prelude_ident_destroy ()
int | prelude_ident_new ()

## Types and Values

typedef | prelude_ident_t

## Description

## Functions

### prelude_ident_inc ()

    uint64_t
    prelude_ident_inc (prelude_ident_t *ident);

Deprecated.

#### Parameters

ident | Pointer to a prelude_ident_t object. |

#### Returns

A new ident.

### prelude_ident_generate ()

    int
    prelude_ident_generate (prelude_ident_t *ident,
                            prelude_string_t *out);

Generate an UUID and store it in `out` .

#### Parameters

ident | Pointer to a prelude_ident_t object. |
out | prelude_string_t where the ident will be generated. |

#### Returns

A negative value if an error occur.

### prelude_ident_destroy ()

    void
    prelude_ident_destroy (prelude_ident_t *ident);

Destroy a prelude_ident_t object.

#### Parameters

ident | Pointer to a prelude_ident_t object. |

### prelude_ident_new ()

    int
    prelude_ident_new (prelude_ident_t **ret);

Create a new prelude_ident_t object with an unique value.

#### Parameters

ret | Pointer where to store the created object. |

#### Returns

0 on success, or a negative value if an error occured.

## Types and Values

### prelude_ident_t

    typedef struct prelude_ident prelude_ident_t;